[SOLVED] Error while updating dev instance to latest version


#1

I used to run the following commands to update my dev instance:

cd ~/discourse
git pull
bundle install
bundle exec rake db:migrate db:test:prepare

(got it from here)

However, this time, I’m getting the following error:

jack@discourse-test:~/discourse$ bundle exec rake db:migrate db:test:prepare --trace
*** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
NoMethodError: undefined method `before_filter' for SessionController:Class
Did you mean?  before_action
/home/jack/discourse/plugins/iframe/plugin.rb:32:in `block (2 levels) in activate!'
/home/jack/discourse/plugins/iframe/plugin.rb:31:in `class_eval'
/home/jack/discourse/plugins/iframe/plugin.rb:31:in `block in activate!'
/home/jack/discourse/lib/plugin/instance.rb:254:in `block in notify_after_initialize'
/home/jack/discourse/lib/plugin/instance.rb:252:in `each'
/home/jack/discourse/lib/plugin/instance.rb:252:in `notify_after_initialize'
/home/jack/discourse/config/application.rb:211:in `each'
/home/jack/discourse/config/application.rb:211:in `block in <class:Application>'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/activesupport-5.1.3/lib/active_support/lazy_load_hooks.rb:43:in `execute_hook'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/activesupport-5.1.3/lib/active_support/lazy_load_hooks.rb:52:in `block in run_load_hooks'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/activesupport-5.1.3/lib/active_support/lazy_load_hooks.rb:51:in `each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/activesupport-5.1.3/lib/active_support/lazy_load_hooks.rb:51:in `run_load_hooks'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/application/finisher.rb:73:in `block in <module:Finisher>'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/initializable.rb:30:in `instance_exec'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/initializable.rb:30:in `run'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/initializable.rb:59:in `block in run_initializers'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:228:in `block in tsort_each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:431:in `each_strongly_connected_component_from'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:349:in `block in each_strongly_connected_component'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:347:in `each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:347:in `call'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:347:in `each_strongly_connected_component'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:226:in `tsort_each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/tsort.rb:205:in `tsort_each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/initializable.rb:58:in `run_initializers'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/application.rb:353:in `initialize!'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/railtie.rb:185:in `public_send'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/railtie.rb:185:in `method_missing'
/home/jack/discourse/config/environment.rb:5:in `<main>'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bootsnap-1.0.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:17:in `require'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bootsnap-1.0.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:17:in `require'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `block in require'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:258:in `load_dependency'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `require'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/application.rb:329:in `require_environment!'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/railties-5.1.3/lib/rails/application.rb:445:in `block in run_tasks_blocks'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:250:in `block in execute'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:250:in `each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:250:in `execute'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:194:in `block in invoke_with_call_chain'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/monitor.rb:214:in `mon_synchronize'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:216:in `block in invoke_prerequisites'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:214:in `each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:214:in `invoke_prerequisites'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:193:in `block in invoke_with_call_chain'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/2.3.0/monitor.rb:214:in `mon_synchronize'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/task.rb:180:in `invoke'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:152:in `invoke_task'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:108:in `block (2 levels) in top_level'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:108:in `each'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:108:in `block in top_level'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:117:in `run_with_threads'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:102:in `top_level'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:80:in `block in run'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:178:in `standard_exception_handling'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/lib/rake/application.rb:77:in `run'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
/home/jack/.rbenv/versions/2.3.0/bin/rake:22:in `load'
/home/jack/.rbenv/versions/2.3.0/bin/rake:22:in `<top (required)>'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/cli/exec.rb:75:in `load'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/cli/exec.rb:75:in `kernel_load'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/cli/exec.rb:28:in `run'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/cli.rb:424:in `exec'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/vendor/thor/lib/thor/command.rb:27:in `run'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/vendor/thor/lib/thor/invocation.rb:126:in `invoke_command'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/vendor/thor/lib/thor.rb:387:in `dispatch'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/cli.rb:27:in `dispatch'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/vendor/thor/lib/thor/base.rb:466:in `start'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/cli.rb:18:in `start'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/exe/bundle:30:in `block in <top (required)>'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/lib/bundler/friendly_errors.rb:122:in `with_friendly_errors'
/home/jack/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-1.16.0.pre.2/exe/bundle:22:in `<top (required)>'
/home/jack/.rbenv/versions/2.3.0/bin/bundle:22:in `load'
/home/jack/.rbenv/versions/2.3.0/bin/bundle:22:in `<main>'
Tasks: TOP => db:migrate => environment

Any idea?


(David Taylor) #2

Looks like the “iFrame” plug-in you have installed is not compatible with the latest discourse. Remove it and try again.


#3

Yep, just seen that (seems I’m too quick to post here). Thanks @David_Taylor.


(Joshua Rosenfeld) #4

This topic was automatically closed after 4 hours. New replies are no longer allowed.